"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loggerContextConfig = void 0;
const nestjs_context_1 = require("nestjs-context");
const constants_1 = require("../constants");
const context_1 = require("../context");
exports.loggerContextConfig = {
    global: true,
    cached: true,
    addDefaults: true,
    type: nestjs_context_1.ContextName.HTTP,
    build: {
        [constants_1.CONTEXT_GCLOUD_TRACE]: [context_1.GcloudTraceContextProvider],
    },
    providers: [context_1.GcloudTraceContextProvider],
};
