import { LoggerConfigType, ModuleRegisterType } from '../types';
export declare class LoggerConfig implements LoggerConfigType {
    context: import("nestjs-context").ContextConfigType;
    labels: Record<string, string>;
    loggerOptions: {};
    logFieldNames: {
        context: string;
        labels: string;
        trace: string;
    };
    constructor(config?: ModuleRegisterType);
    getFieldNameContext(): string;
    getFieldNameLabels(): string;
    getFieldNameTrace(): string;
}
