"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var PinoContextLoggerModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.PinoContextLoggerModule = void 0;
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const services_1 = require("./services");
const config_1 = require("./config");
let PinoContextLoggerModule = PinoContextLoggerModule_1 = class PinoContextLoggerModule {
    static register(configModule = {}) {
        const config = new config_1.LoggerConfig(configModule);
        const ConfigProvider = {
            provide: config_1.LoggerConfig,
            useValue: config,
        };
        return {
            module: PinoContextLoggerModule_1,
            imports: [core_1.DiscoveryModule],
            providers: [
                services_1.SetContextExplorer,
                {
                    provide: config_1.LoggerConfig,
                    useValue: new config_1.LoggerConfig({}),
                },
                services_1.Logger,
                ConfigProvider,
            ],
            exports: [services_1.Logger, config_1.LoggerConfig],
        };
    }
};
PinoContextLoggerModule = PinoContextLoggerModule_1 = __decorate([
    common_1.Module({})
], PinoContextLoggerModule);
exports.PinoContextLoggerModule = PinoContextLoggerModule;
