import { Config, PluginTypes } from '@google-cloud/trace-agent';
import { RequestType } from '../types';
export declare class GcloudTraceService {
    private readonly logger;
    static isActive: boolean;
    static start(config?: Config): PluginTypes.Tracer;
    isActive(): () => any;
    get(): PluginTypes.Tracer;
    clean(): void;
    getTraceUrl(): Promise<string>;
    getTraceUrlFromEnv(): string;
    forceRequestToBeTraced(req: RequestType): any;
}
