"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStackdriverLoggerTool = exports.createStackdriverLoggerConfig = void 0;
const lodash_1 = require("lodash");
const __1 = require("..");
const createStackdriverLoggerConfig = (config) => lodash_1.isEmpty(config)
    ? __1.PredefinedConfig.STACKDRIVER
    : {
        ...config,
        base: __1.PredefinedConfig.STACKDRIVER,
    };
exports.createStackdriverLoggerConfig = createStackdriverLoggerConfig;
const createStackdriverLoggerTool = (configOrApp = {}, contextName) => {
    if (!__1.isNestApplication(configOrApp)) {
        return __1.createLoggerTool(exports.createStackdriverLoggerConfig(configOrApp), contextName);
    }
    return __1.createLoggerTool(configOrApp, contextName);
};
exports.createStackdriverLoggerTool = createStackdriverLoggerTool;
