"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var LoggerModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggerModule = void 0;
const lodash_1 = require("lodash");
const common_1 = require("@nestjs/common");
const pino_context_logger_module_1 = require("./pino-context-logger.module");
const tools_1 = require("./tools");
const createModuleDef = (config) => {
    return lodash_1.pick(pino_context_logger_module_1.PinoContextLoggerModule.register(config), [
        'imports',
        'providers',
        'exports',
    ]);
};
let LoggerModule = LoggerModule_1 = class LoggerModule {
    static forRoot(config = {}) {
        return LoggerModule_1.register(config);
    }
    static register(config = {}) {
        const moduleConfig = tools_1.createStackdriverLoggerConfig(config);
        return {
            ...createModuleDef(moduleConfig),
            module: LoggerModule_1,
        };
    }
};
LoggerModule = LoggerModule_1 = __decorate([
    common_1.Module(createModuleDef(tools_1.createStackdriverLoggerConfig({})))
], LoggerModule);
exports.LoggerModule = LoggerModule;
